package org.openbravo.base.cxf.examples.gen;

import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.3.2
 * 2019-05-24T11:47:52.629+02:00
 * Generated source version: 3.3.2
 *
 */
@WebServiceClient(name = "calculatorService",
                  wsdlLocation = "/calculator.wsdl",
                  targetNamespace = "http://examples.cxf.base.openbravo.org/")
public class CalculatorService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://examples.cxf.base.openbravo.org/", "calculatorService");
    public final static QName CalculatorServicePort = new QName("http://examples.cxf.base.openbravo.org/", "calculatorServicePort");
    static {
        URL url = CalculatorService.class.getResource("/calculator.wsdl");
        if (url == null) {
            url = CalculatorService.class.getClassLoader().getResource("/calculator.wsdl");
        }
        if (url == null) {
            java.util.logging.Logger.getLogger(CalculatorService.class.getName())
                .log(java.util.logging.Level.INFO,
                     "Can not initialize the default wsdl from {0}", "/calculator.wsdl");
        }
        WSDL_LOCATION = url;
    }

    public CalculatorService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public CalculatorService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public CalculatorService() {
        super(WSDL_LOCATION, SERVICE);
    }

    public CalculatorService(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    public CalculatorService(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    public CalculatorService(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }




    /**
     *
     * @return
     *     returns Calculator
     */
    @WebEndpoint(name = "calculatorServicePort")
    public Calculator getCalculatorServicePort() {
        return super.getPort(CalculatorServicePort, Calculator.class);
    }

    /**
     *
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns Calculator
     */
    @WebEndpoint(name = "calculatorServicePort")
    public Calculator getCalculatorServicePort(WebServiceFeature... features) {
        return super.getPort(CalculatorServicePort, Calculator.class, features);
    }

}
